import { ConfirmDialogService } from '../confirm-dialog.service';
import { DialogResult } from '../../../models/dialog/dialog-result.model';
import { MatDialog } from '@angular/material/dialog';
/**
 * A service to mock the confirm dialog service
 */
export declare class MockConfirmDialogService extends ConfirmDialogService {
    /**
     * @param matDialog - A reference to the MatDialog service
     */
    constructor(matDialog: MatDialog);
    /**
     * Display a confirm dialog
     * @param title - The title of the confirm dialog
     * @param message - The message to display in the confirm dialog
     */
    openConfirmDialog(title: string, message: string): Promise<DialogResult<null>>;
}
