import { MatDialog } from '@angular/material/dialog';
import { DialogResult } from '../../models/dialog/dialog-result.model';
import { IConfirmDialogService } from './_interfaces/confirm-dialog-service.interface';
/**
 *  A service to manage and display confirm dialogs
 */
export declare class ConfirmDialogService implements IConfirmDialogService {
    private matDialog;
    /**
     * @param matDialog - A reference to the MatDialog service
     */
    constructor(matDialog: MatDialog);
    /**
     * Open a confirm dialog
     * @param title - The title of the confirm dialog
     * @param message - The message to display to the user
     */
    openConfirmDialog(title: string, message: string): Promise<DialogResult<null>>;
}
